{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    rust-overlay.url = "github:oxalica/rust-overlay";
  };

  outputs = { self, nixpkgs, flake-utils, rust-overlay }:
    flake-utils.lib.eachDefaultSystem (system:
      let 
        overlays = [ (import rust-overlay) ];
        pkgs = import nixpkgs {
          inherit system overlays;
        };
        frameworks = pkgs.darwin.apple_sdk.frameworks;
      in {
        #devShell = pkgs.mkShell { buildInputs = [ pkgs.hello pkgs.cowsay ]; };
        devShell = pkgs.mkShell {
          buildInputs = with pkgs; [
            gcc
            gdb
            ((pkgs.rust-bin.fromRustupToolchainFile ./rust-toolchain).override{ extensions = [ "rust-src" ]; })
            rust-analyzer-unwrapped
          ];
	  };
      });
}


